import { Object3D, Vector3 } from "three";
import { Context } from "../context/context";
import { GLTF } from "three/examples/jsm/loaders/GLTFLoader";
export interface ModelOptions {
    modelUrl: string;
    position?: Vector3;
    id: string;
}
export declare class Model extends Object3D {
    context: Context;
    private options;
    model: GLTF | null;
    constructor(context: Context, options: ModelOptions);
    loadModel(): Promise<void>;
    dispose(): void;
}
